package com.goldenwater.slaj.hazard.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hazard.mapper.TBusiHazIdenMwMapper;
import com.goldenwater.slaj.hazard.domain.TBusiHazIdenMw;
import com.goldenwater.slaj.hazard.service.ITBusiHazIdenMwService;

/**
 * 辨识表MW版 服务层实现
 */
@Service
public class TBusiHazIdenMwServiceImpl implements ITBusiHazIdenMwService {

    @Autowired
    private TBusiHazIdenMwMapper tBusiHazIdenMwMapper;

    /**
     * 查询辨识表MW版信息
     * @param guid 查询条件
     * @return 辨识表MW版信息
     */
    @Override
    public TBusiHazIdenMw selectTBusiHazIdenMwByGuid(String guid) {
        return tBusiHazIdenMwMapper.selectTBusiHazIdenMwByGuid(guid);
    }

    /**
     * 查询辨识表MW版列表
     * @param tBusiHazIdenMw 辨识表MW版查询条件
     * @return 辨识表MW版集合
     */
    @Override
    public List<TBusiHazIdenMw> selectTBusiHazIdenMwList(TBusiHazIdenMw tBusiHazIdenMw) {
        return tBusiHazIdenMwMapper.selectTBusiHazIdenMwList(tBusiHazIdenMw);
    }

    /**
     * 新增辨识表MW版
     * @param tBusiHazIdenMw 辨识表MW版信息
     * @return 影响行数
     */
    @Override
    public int insertTBusiHazIdenMw(TBusiHazIdenMw tBusiHazIdenMw) {
        return tBusiHazIdenMwMapper.insertTBusiHazIdenMw(tBusiHazIdenMw);
    }

    /**
     * 修改辨识表MW版
     * @param tBusiHazIdenMw 辨识表MW版信息
     * @return 影响行数
     */
    @Override
    public int updateTBusiHazIdenMw(TBusiHazIdenMw tBusiHazIdenMw) {
        return tBusiHazIdenMwMapper.updateTBusiHazIdenMw(tBusiHazIdenMw);
    }

    /**
     * 删除辨识表MW版
     * @param guid 辨识表MW版主键
     * @return 影响行数
     */
    @Override
    public int deleteTBusiHazIdenMwByGuid(String guid) {
        return tBusiHazIdenMwMapper.deleteTBusiHazIdenMwByGuid(guid);
    }

    /**
     * 批量删除辨识表MW版
     * @param guids 辨识表MW版主键数组
     * @return 影响行数
     */
    @Override
    public int deleteTBusiHazIdenMwByGuids(String[] guids) {
        return tBusiHazIdenMwMapper.deleteTBusiHazIdenMwByGuids(guids);
    }
}
